import java.util.Hashtable;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

import org.testng.Assert;
import org.testng.annotations.Test;

import thunder.jbossmt.ejb.FacadeBeanRemote;



public class JBossMTEJBTest {
	@Test
	public void test(){
		FacadeBeanRemote facadeRemote;
		try {
			facadeRemote = lookupRemoteBusinessObject(FacadeBeanRemote.class,"FacadeBeanMappedName");
//			facadeRemote.testRemoteLookup();
//			facadeRemote.testEJB2LocalLookup();
//			facadeRemote.testEJB3LocalInjection();
//			facadeRemote.testEJB3RemoteInjection();
			facadeRemote.testTransactionTimeout();
		} catch (NamingException e) {
			e.printStackTrace();
			Assert.fail("ShipmentStatusBuilderTest::testCreateShipmentStatusSnapshot", e);
		}

	}
	
	
	private <T> T lookupRemoteBusinessObject(Class<T> businessInterfaceClass, String jndiName) throws NamingException  {

		Hashtable jndiEvn = new Hashtable();
		jndiEvn.put(Context.INITIAL_CONTEXT_FACTORY, "org.jnp.interfaces.NamingContextFactory");
		jndiEvn.put(Context.URL_PKG_PREFIXES, "org.jboss.naming:org.jnp.interfaces");
		jndiEvn.put(Context.PROVIDER_URL, "jnp://localhost:1099"); // remote machine IP
		InitialContext ctx = new InitialContext(jndiEvn);
		T remoteBusinessObject = null;
		remoteBusinessObject = (T)ctx.lookup(jndiName);
		return remoteBusinessObject;
	}
	
}
