package thunder.jbossmt.ejb;

import java.rmi.RemoteException;
import java.util.Hashtable;

import javax.ejb.CreateException;
import javax.ejb.EJBException;
import javax.ejb.Local;
import javax.ejb.Remote;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.ejb.EJB;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

@Stateless(name = "JBossMTBeanName", mappedName = "JBossMTBeanMappedName")
public class JBossMTBean  implements JBossMTBeanLocal, JBossMTBeanRemote {

	@PersistenceContext(unitName = "JBossWLMSTestTX")
	EntityManager jbossWLMSTestTX;
	
	public void helloRemote() {
		System.out.println("JBossMTBean::helloRemote");
	}
	public void helloLocal() {
		System.out.println("JBossMTBean::helloLocal");
	}
	
	public void helloEJB2Local() {
		System.out.println("JBossMTBean::helloEJB2Local");
	}
	
	@Override
	@TransactionAttribute(TransactionAttributeType.REQUIRED)
	public void testTransactionTimeoutAttr() {
			Query q = jbossWLMSTestTX.createNativeQuery("SELECT sleep(15)");
			q.getResultList();
	}
}
